cpw.mods.fml.common.modloader

## Class ModLoaderGuiHelper

- java.lang.Object
- - cpw.mods.fml.common.modloader.ModLoaderGuiHelper

- All Implemented Interfaces:
    IGuiHandler

      public class ModLoaderGuiHelper
      extends Object
      implements IGuiHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `associateId(int additionalID)`
    `Object` | `getClientGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)` Returns a Container to be displayed to the user.
    `Object` | `getMod()`
    `Object` | `getServerGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)` Returns a Server side Container to be displayed to the user.
    `void` | `injectContainerAndID(Container container, int ID)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getServerGuiElement

          public Object getServerGuiElement(int ID,
                                   EntityPlayer player,
                                   World world,
                                   int x,
                                   int y,
                                   int z)

      Description copied from interface: `IGuiHandler`
      Returns a Server side Container to be displayed to the user.
      Specified by:
        `getServerGuiElement` in interface `IGuiHandler`
      Parameters:
        `ID` - The Gui ID Number
        `player` - The player viewing the Gui
        `world` - The current world
        `x` - X Position
        `y` - Y Position
        `z` - Z Position
      Returns:
        A GuiScreen/Container to be displayed to the user, null if none.

    - #### getClientGuiElement

          public Object getClientGuiElement(int ID,
                                   EntityPlayer player,
                                   World world,
                                   int x,
                                   int y,
                                   int z)

      Description copied from interface: `IGuiHandler`
      Returns a Container to be displayed to the user. On the client side, this needs to return a instance of GuiScreen On the server side, this needs to return a instance of Container
      Specified by:
        `getClientGuiElement` in interface `IGuiHandler`
      Parameters:
        `ID` - The Gui ID Number
        `player` - The player viewing the Gui
        `world` - The current world
        `x` - X Position
        `y` - Y Position
        `z` - Z Position
      Returns:
        A GuiScreen/Container to be displayed to the user, null if none.

    - #### injectContainerAndID

          public void injectContainerAndID(Container container,
                                  int ID)

    - #### getMod

          public Object getMod()

    - #### associateId

          public void associateId(int additionalID)